## org.apache.ivy.osgi.updatesite.xml
Class Require

    java.lang.Object
      org.apache.ivy.osgi.updatesite.xml.Require

    public class Require

extends java.lang.Object

Constructor Summary
`Require()`

Method Summary
`java.lang.String` `getFeature()`
`java.lang.String` `getFilter()`
`java.lang.String` `getMatch()`
`java.lang.String` `getPlugin()`
`Version` `getVersion()`
`void` `setFeature(java.lang.String feature)`
`void` `setFilter(java.lang.String filter)`
`void` `setMatch(java.lang.String match)`
`void` `setPlugin(java.lang.String plugin)`
`void` `setVersion(Version version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Require

    public Require()

Method Detail

### setFeature

    public void setFeature(java.lang.String feature)

### getFeature

    public java.lang.String getFeature()

### setPlugin

    public void setPlugin(java.lang.String plugin)

### getPlugin

    public java.lang.String getPlugin()

### setVersion

    public void setVersion(Version version)

### getVersion

    public Version getVersion()

### setMatch

    public void setMatch(java.lang.String match)

### getMatch

    public java.lang.String getMatch()

### setFilter

    public void setFilter(java.lang.String filter)

### getFilter

    public java.lang.String getFilter()